%define bname xkbcommon
%define name lib%{bname}
%define version 1.0.3
%define date 0
%define git 0
%define pkgrel 2.1
%if %git
%define rel 0.%{date}.%{pkgrel}
%define distname %{name}-%{date}
%define srcname %{name}-%{git}
%else
%define rel %{pkgrel}
%define distname %{name}-%{version}
%define srcname %{distname}
%endif
%define release %mkrel %{rel}

%define major 0
%define libname %mklibname %{bname} %{major}
%define libname_devel %mklibname %{bname} -d

Summary:	XKB API common to servers and clients	
Name:		%{name}
Version:	1.3.1
Release:	%mkrel 2
Source0:	http://xkbcommon.org/download/%{distname}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		http://xkbcommon.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	x11-util-macros
BuildRequires:	doxygen
BuildRequires:	x11-data-xkbdata
BuildRequires:	libxcb-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
The %{name} package provides XKB API common to servers and clients.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:   libxkbcommon-x11
Requires:   %name

%description -n %{libname}
This package contains the libraries for %{name}.

%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%package doc
Summary: %{name} documentation
Group: Documentation

%description doc
This package contains documentation of %{name}.

%prep
%setup -q -n %{srcname}

%build
%meson 
%meson_build

%install
rm -rf %{buildroot}
%meson_install

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/xkbcli
%{_mandir}
%{_libexecdir}

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*
%{_libdir}/%{name}-x11.so.%{major}
%{_libdir}/%{name}-x11.so.%{major}.*
%{_libdir}/libxkbregistry.so.*

%files -n %{libname_devel}
%defattr(-, root, root)
%{_includedir}/%{bname}/%{bname}.h
%{_includedir}/%{bname}/%{bname}-*.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}-x11.so
%{_libdir}/pkgconfig/%{bname}*.pc
%{_libdir}/libxkbregistry.so
%{_libdir}/pkgconfig/xkbregistry.pc
%{_includedir}/xkbcommon/xkbregistry.h


%files doc
%defattr(-, root, root)
%doc %{_docdir}/%{name}/*

%clean
rm -rf %{buildroot}

%changelog
* Wed Jan 26 2022 tex - 1.3.1-2pclos2022
- rebuild against updates

* Sun Sep 12 2021 tex - 1.3.1-1pclos2021
- new version

* Tue Aug 03 2021 tex - 1.3.0-1pclos2021
- new version

* Thu Apr 08 2021 tex - 1.2.1-1pclos2021
- new version

* Fri Mar 19 2021 tex - 1.1.0-1pclos2021
- new version

* Sat Jan 16 2021 tex - 1.0.3-1pclos2021
- new version

* Wed Aug 12 2020 tex - 0.7.1-6pclos2020
- add provides libxkcommon-x11 to library pkg

* Sun Mar 31 2019 tex - 0.7.1-5pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 0.7.1-4pclos2019
- rebuild against updates

* Sat Nov 18 2017 bb2 <bb2> - 0.7.1-3pclos2017
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 0.7.1-2.1pclos2017
- rebuilt
